Bug 1637760 - [abrt] ibus: type_check_is_value_type_U(): ibus-x11 killed by SIGSEGV
Summary: [abrt] ibus: type_check_is_value_type_U(): ibus-x11 killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1993cf4030f5ca81d78ba40c932...
: 1676837 1678078 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 02:11 UTC by Shecks
Modified: 2019-02-18 03:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 06:35:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.48 KB, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: cgroup (345 bytes, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: core_backtrace (31.07 KB, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: dso_list (9.73 KB, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: environ (3.78 KB, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: exploitable (82 bytes, text/plain)
2018-10-10 02:11 UTC, Shecks
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-10 02:12 UTC, Shecks
no flags Details
File: maps (63.29 KB, text/plain)
2018-10-10 02:12 UTC, Shecks
no flags Details
File: mountinfo (4.11 KB, text/plain)
2018-10-10 02:12 UTC, Shecks
no flags Details
File: open_fds (1.01 KB, text/plain)
2018-10-10 02:12 UTC, Shecks
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-10-10 02:12 UTC, Shecks
no flags Details

Description Shecks 2018-10-10 02:11:45 UTC
Description of problem:
Just logged on to a new Gnome session after booting

Version-Release number of selected component:
ibus-1.5.19-4.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/ibus-x11
journald_cursor: s=2da36e7925a34964bed4b4d94ec64675;i=7b560;b=7862993198814ab981c1d449ed7fd4b8;m=3564ee4;t=577d63ed91771;x=e27b130a7128e980
kernel:         4.18.12-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4175
 #1 g_type_check_value at gtype.c:4198
 #2 parse_border at gtkcssshorthandpropertyimpl.c:399
 #3 gtk_css_shorthand_property_parse_value at gtkcssshorthandproperty.c:133
 #4 parse_declaration at gtkcssprovider.c:1473
 #5 parse_declarations at gtkcssprovider.c:1583
 #6 parse_ruleset at gtkcssprovider.c:1615
 #7 parse_statement at gtkcssprovider.c:1644
 #8 parse_stylesheet at gtkcssprovider.c:1660
 #9 gtk_css_provider_load_internal at gtkcssprovider.c:1787

Potential duplicate: bug 1576300

Comment 1 Shecks 2018-10-10 02:11:51 UTC
Created attachment 1492300 [details]
File: backtrace

Comment 2 Shecks 2018-10-10 02:11:52 UTC
Created attachment 1492301 [details]
File: cgroup

Comment 3 Shecks 2018-10-10 02:11:53 UTC
Created attachment 1492302 [details]
File: core_backtrace

Comment 4 Shecks 2018-10-10 02:11:55 UTC
Created attachment 1492303 [details]
File: cpuinfo

Comment 5 Shecks 2018-10-10 02:11:56 UTC
Created attachment 1492304 [details]
File: dso_list

Comment 6 Shecks 2018-10-10 02:11:57 UTC
Created attachment 1492305 [details]
File: environ

Comment 7 Shecks 2018-10-10 02:11:59 UTC
Created attachment 1492306 [details]
File: exploitable

Comment 8 Shecks 2018-10-10 02:12:00 UTC
Created attachment 1492307 [details]
File: limits

Comment 9 Shecks 2018-10-10 02:12:02 UTC
Created attachment 1492308 [details]
File: maps

Comment 10 Shecks 2018-10-10 02:12:03 UTC
Created attachment 1492309 [details]
File: mountinfo

Comment 11 Shecks 2018-10-10 02:12:04 UTC
Created attachment 1492310 [details]
File: open_fds

Comment 12 Shecks 2018-10-10 02:12:05 UTC
Created attachment 1492311 [details]
File: proc_pid_status

Comment 13 Shecks 2018-10-11 12:30:43 UTC
Similar problem has been detected:

Just booted the PC, logged on to a Gnome session and got a message to say that the ibus component had quit
unexpectedly. Some component crashes or quits almost everytime I log in to a new Gnome session so there's
probably something corrupted or incorrectly configured on my PC but I am unsure how to debug the issue.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/ibus-x11
journald_cursor: s=2da36e7925a34964bed4b4d94ec64675;i=7e85d;b=e5624a1a443344cb9986c3784aec4881;m=869ff38;t=577f30629ff5f;x=b013c90c322a9af1
kernel:         4.18.12-300.fc29.x86_64
package:        ibus-1.5.19-4.fc29
reason:         ibus-x11 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Shecks 2018-10-25 12:50:25 UTC
Similar problem has been detected:

Just booted PC and longged in to Gnome and got a message to say that GNOME Settings Daemon's keyboard plugin
had quit and shorly afterward there was another report to say that ibus had crashed.

I've been seeing random component crashes like this from about midway through the Fedora 28 release cycle. 
I've now upgraded to Fedora 29 in the hope that there might be some improvements with Gnome 3.30.x but the same
problems are still happening (other than that F29 is very stable)

I haven't noticed any others logging similar bugs so perhaps it's something specific to my installation/configuration
but I don't really know how to resolve or debug further. 

Perhaps a Gnome or complete OS reinstall is required.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/ibus-x11
journald_cursor: s=2da36e7925a34964bed4b4d94ec64675;i=a8e76;b=27b9bbe186394636883ac34ca561aca4;m=712ae85;t=5790ca7db414b;x=babc1650ce901c8a
kernel:         4.18.16-300.fc29.x86_64
package:        ibus-1.5.19-4.fc29
reason:         ibus-x11 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 fujiwara 2018-10-26 10:54:17 UTC
(In reply to Shecks from comment #1)
> Created attachment 1492300 [details]
> File: backtrace

#12 0x00007f4047a62a38 in _gtk_css_provider_load_named (provider=0x55b9f72e3ca0, name=name@entry=0x55b9f6e416f0 "Telinkrin-Buttons-Right", variant=variant@entry=0x0) at gtkcssprovider.c:2166
        dir = 0x55b9f73b63c0 "/home/shecks/.themes/Telinkrin-Buttons-Right/gtk-3.0"
        resource_file = 0x55b9f7311af0 ""
        resource = 0x0
        path = <optimized out>
        resource_path = <optimized out>
        __func__ = "_gtk_css_provider_load_named"


---------------------------------------------------------------


I cannot reproduce your backtrace.
From your backtrace, do you have a wrong theme in /home/shecks/.themes/Telinkrin-Buttons-Right/ ?

Comment 16 Shecks 2018-10-26 13:22:35 UTC
Hi,

I am not sure what you mean by a wrong theme, but I am using a not standard theme  (https://www.gnome-look.org/p/1215199/). The theme hasn't been updated for several months so perhaps it's no longer compatible with Gnome 3.30.x

I never thought that the issue could be related to the Gnome theme. I can switch back to the default theme that ships with Fedora 29/Gnome and see if there are any improvements.

Is there anything else I can check to help debug the issue?

Thanks,

Shecks

Comment 17 fujiwara 2018-10-29 03:07:34 UTC
(In reply to Shecks from comment #16)
I can
> switch back to the default theme that ships with Fedora 29/Gnome and see if
> there are any improvements.

So did you check if your problem can be avoided when you delete your theme in /home/shecks/.themes/Telinkrin-Buttons-Right/ ?

Comment 18 Shecks 2018-10-29 13:39:57 UTC
Hi,

I switched to the default Adwaita Gnome theme on Friday (26-10-2018) and so far I haven't experienced any new iBus crash reports. So it is possible that theme might have been responsible for the error.

However, just before I posted this reply I launched the Gnome Tweak too to confirm the name of the default theme I am using and as soon as it launched I got a report to say that Nautilus had quit (ABRT Server) and I am unsure if this is related.

The Telinkrin theme is still installed in my .themes directory (but not in use) should I delete the files completely?

Thanks,

Shecks

Comment 19 fujiwara 2018-10-30 06:35:32 UTC
(In reply to Shecks from comment #18)
> I switched to the default Adwaita Gnome theme on Friday (26-10-2018) and so
> far I haven't experienced any new iBus crash reports. So it is possible that
> theme might have been responsible for the error.

OK and then your problem is caused by that theme.
I think your problem does not exist in ibus only but also other applications.

> However, just before I posted this reply I launched the Gnome Tweak too to
> confirm the name of the default theme I am using and as soon as it launched
> I got a report to say that Nautilus had quit (ABRT Server) and I am unsure
> if this is related.

I don't understand the differences between the steps on Friday and these steps.
If you see the backtrace of Nautilus, probably you could see if the problem is same.

> The Telinkrin theme is still installed in my .themes directory (but not in
> use) should I delete the files completely?

Since reverting the theme can stop your problem, you don't have to delete the theme.

You could comment out the theme files and identify which lines causes your problem.
And please report your problem to the theme.

Since your theme is not available as Fedora rpms, I'm closing this bug.

Comment 20 erichanif 2019-02-13 11:32:26 UTC
*** Bug 1676837 has been marked as a duplicate of this bug. ***

Comment 21 andor.ugalde 2019-02-18 03:10:19 UTC
*** Bug 1678078 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.